package com.izouma.dingdong.repo;

import com.izouma.dingdong.domain.OrderGoodsSpec;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface OrderGoodsSpecRepo extends JpaRepository<OrderGoodsSpec, Long>, JpaSpecificationExecutor<OrderGoodsSpec> {

    List<OrderGoodsSpec> findAllByOrderInfoId(Long orderId);

    List<OrderGoodsSpec> findAllByGoodsId(Long goodsId);

    List<OrderGoodsSpec> findAllByShoppingCartId(Long shoppingCardId);

}